Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.model
Interface VTStyleSelector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  VTDomainModelReferenceSelector, VTViewModelElementSelector

All Known Implementing Classes:
  VTDomainModelReferenceSelectorImpl, VTViewModelElementSelectorImpl

    public interface VTStyleSelector

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Style Selector'.

See Also:
  `VTTemplatePackage.getStyleSelector()`

Field Summary
`static Double` | `NOT_APPLICABLE` Return this constant if the selector is not applicable.

Method Summary
`double` | `isApplicable(VElement vElement, ViewModelContext viewModelContext)` Checks how well a `VElement` is fitting.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### NOT_APPLICABLE

    static final Double NOT_APPLICABLE

  Return this constant if the selector is not applicable.

Method Detail

### isApplicable

    double isApplicable(VElement vElement,
                        ViewModelContext viewModelContext)

  Checks how well a `VElement` is fitting.

  Parameters:
    `vElement` - the `VElement` to check
    `viewModelContext` - the `ViewModelContext` currently used
  Returns:
    a double defining the specificity of the selector. The higher the number the more specific the tester is.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.